/***************************************************************

	PROCUnlockFiles.c

	Written by Jefferson Quade
	1994 Quade Publishing Company, P.O. Box 1574, Fort Dodge, Iowa 50501

	Created Monday, July 25, 1994 01:36 AM

***************************************************************/

/*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	Include files.
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*/

#ifndef __DIALOGS__
#include <Dialogs.h>
#endif

#ifndef __FILES__
#include <Files.h>
#endif

/*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	Defines.
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*/

#ifdef THINK_C
	#if __option(a4_globals)
		#define UnlockFilesProcedure main
	#endif
#else
	#define UnlockFilesProcedure main
#endif

/*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	Prototypes.
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*/

pascal OSErr UnlockFilesProcedure (CInfoPBRec *cpb);

/*=========================================================================
	Sample scan procedure for a file.
	
	Function should return:
	1) A negative value to stop scan and display an error message for that code.
		NOTE: You should not return positive numbers over 128, because MacOrganize
		maps those error numbers to it's own internal error codes.
	2) UserCancelledErr (-128) to stop scan without displaying error alert.
	3) Or noErr (0) to continue scan.
=========================================================================*/

pascal OSErr UnlockFilesProcedure (CInfoPBRec *cpb)
{
	DialogPtr dialog;
	Handle iHandle;
	OSErr err = noErr;
	Rect iRect;
	short iType;

	if (!(cpb->hFileInfo.ioFlAttrib & ioDirMask)) // Is File.
	{
		if (dialog = FrontWindow())
		{
			GetDItem(dialog, 4, &iType, &iHandle, &iRect);
			if (iHandle) SetIText(iHandle, cpb->hFileInfo.ioNamePtr);
		}
		/* Okay if can't unlock file. */
		/* err = */ HRstFLock(cpb->hFileInfo.ioVRefNum, cpb->hFileInfo.ioFlParID, cpb->hFileInfo.ioNamePtr);
	}
	if (err > 128) err = -1;
	return err;
}

